import request from '@/utils/request'

// 查询村边界列表
export function listVillage(query) {
  return request({
    url: '/houseSurvey/village/list',
    method: 'get',
    params: query
  })
}

// 导出村边界
export function exportVillage(query) {
  return request({
    url: '/houseSurvey/village/export',
    method: 'get',
    params: query
  })
}

// 查询村边界详细
export function getVillage(fid) {
  return request({
    url: '/houseSurvey/village/get/' + fid,
    method: 'get'
  })
}

// 新增村边界
export function addVillage(data) {
  return request({
    url: '/houseSurvey/village/add',
    method: 'post',
    data: data
  })
}

// 修改村边界
export function updateVillage(data) {
  return request({
    url: '/houseSurvey/village/edit',
    method: 'post',
    data: data
  })
}

// 删除村边界
export function delVillage(fid) {
  return request({
    url: '/houseSurvey/village/remove/' + fid,
    method: 'get'
  })
}

